Darbs Verification Engine API

Discoverable API endpoints conforming to RFC 8288 (Web Linking) & RFC 9727 (API Catalog).

GET /api/health

Retrieves operational health, system verification parameters, and active server defense mechanisms.

Response (200 OK):
{
  "status": "ok",
  "engine": "Darbs Quantitative Verification Core",
  "timestamp": "2026-08-28T04:00:00.000Z",
  "security": "Active (Sanitization & Rate Limiting Enabled)"
}
POST /api/apply

Submits user access application. Input is validated on server with XSS/injection sanitization and rate limits.

Request Body:
{
  "name": "Alex Morgan",
  "email": "trader@quantfund.io",
  "focus": "quant"
}

Response (200 OK):
{
  "success": true,
  "message": "Application validated and priority queue seat reserved.",
  "data": {
    "queueToken": "DRB-8X2M9K",
    "name": "Alex Morgan",
    "email": "trader@quantfund.io"
  }
}